> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Support Tickets

> Retrieve support tickets.

## List support tickets

`GET /api/tickets`

Retrieve support tickets with filtering.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Query parameters

**page** `integer` (default: 1)

Page number.

**limit** `integer` (default: 20)

Items per page.

**status** `string`

Filter by status: `open`, `in_progress`, `resolved`, `closed`.

**priority** `string`

Filter by priority: `low`, `medium`, `high`, `urgent`.

**assignedTo** `integer`

Filter by assigned user.

```bash cURL theme={null}
curl "https://zeplo.ai/api/tickets?status=open&limit=10" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "subject": "Cannot connect WhatsApp channel",
      "description": "Getting error when trying to add new channel",
      "status": "open",
      "priority": "high",
      "createdBy": 5,
      "assignedTo": 2,
      "messageCount": 3,
      "createdAt": "2026-01-15T10:00:00Z"
    }
  ]
}
```

***

## Get ticket stats

`GET /api/tickets/admin/stats`

```bash cURL theme={null}
curl https://zeplo.ai/api/tickets/admin/stats \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.